|
|
@@ -0,0 +1,44 @@
|
|
|
+#!/bin/sh
|
|
|
+set -e
|
|
|
+
|
|
|
+TESTDIR=$(readlink -f $(dirname $0))
|
|
|
+. $TESTDIR/framework
|
|
|
+setupenvironment
|
|
|
+configarchitecture "i386"
|
|
|
+
|
|
|
+insertpackage 'unstable' 'apt' 'i386' '0.8.15'
|
|
|
+
|
|
|
+setupaptarchive
|
|
|
+
|
|
|
+testcandidate() {
|
|
|
+ msgtest "Test that the Candidate for $1 is" $2
|
|
|
+ test "$(aptcache policy $1 | grep '^ Candidate:')" = " Candidate: $2" && msgpass || msgfail
|
|
|
+}
|
|
|
+
|
|
|
+testcandidate apt '0.8.15'
|
|
|
+testequal 'N: Unable to locate package doesntexist' aptcache policy doesntexist -q=0
|
|
|
+testequal 'Reading package lists...
|
|
|
+Building dependency tree...
|
|
|
+0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.' aptget dist-upgrade
|
|
|
+
|
|
|
+echo 'Package: apt
|
|
|
+Pin: release a=unstable
|
|
|
+Pin-Priority: -1' > rootdir/etc/apt/preferences
|
|
|
+
|
|
|
+testcandidate apt '(none)'
|
|
|
+testequal 'N: Unable to locate package doesntexist' aptcache policy doesntexist -q=0
|
|
|
+testequal 'Reading package lists...
|
|
|
+Building dependency tree...
|
|
|
+0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.' aptget dist-upgrade
|
|
|
+
|
|
|
+echo '
|
|
|
+Package: doesntexist
|
|
|
+Pin: release a=unstable
|
|
|
+Pin-Priority: 1000' >> rootdir/etc/apt/preferences
|
|
|
+
|
|
|
+testcandidate apt '(none)'
|
|
|
+testequal 'N: Unable to locate package doesntexist' aptcache policy doesntexist -q=0
|
|
|
+
|
|
|
+testequal 'Reading package lists...
|
|
|
+Building dependency tree...
|
|
|
+0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.' aptget dist-upgrade
|